Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 79084)
+++ channels/chan_sip.c	(working copy)
@@ -11118,7 +11118,7 @@
 		initreqprep(&req, p, SIP_NOTIFY);
 
 		for (var = varlist; var; var = var->next)
-			add_header(&req, var->name, var->value);
+			add_header(&req, var->name, ast_unescape_semicolon(var->value));
 
 		/* Recalculate our side, and recalculate Call ID */
 		if (ast_sip_ouraddrfor(&p->sa.sin_addr, &p->ourip))
Index: include/asterisk/strings.h
===================================================================
--- include/asterisk/strings.h	(revision 79084)
+++ include/asterisk/strings.h	(working copy)
@@ -142,6 +142,13 @@
 char *ast_strip_quoted(char *s, const char *beg_quotes, const char *end_quotes);
 
 /*!
+  \brief Strip backslash for "escaped" semicolons.
+  \brief s The string to be stripped (will be modified).
+  \return The stripped string.
+ */
+char *ast_unescape_semicolon(char *s);
+
+/*!
   \brief Size-limited null-terminating string copy.
   \param ast_copy_string function being used
   \param dst The destination buffer.
Index: main/utils.c
===================================================================
--- main/utils.c	(revision 79084)
+++ main/utils.c	(working copy)
@@ -880,6 +880,21 @@
 	return s;
 }
 
+char *ast_unescape_semicolon(char *s)
+{
+	char *e;
+	char *work = s;
+
+	while ((e = strchr(work, ';'))) {
+		if ((e > work) && (*(e-1) == '\\')) {
+			memmove(e - 1, e, strlen(e) + 1);
+			work = e;
+		}
+	}
+
+	return s;
+}
+
 int ast_build_string_va(char **buffer, size_t *space, const char *fmt, va_list ap)
 {
 	int result;
